public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyside6-tools/
Date: Wed, 25 Oct 2023 20:05:13 +0000 (UTC)	[thread overview]
Message-ID: <1698264299.bc139b269e3ccd66f17509cc1a1c2f9415f5f677.andrewammerlaan@gentoo> (raw)

commit:     bc139b269e3ccd66f17509cc1a1c2f9415f5f677
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 25 19:59:53 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Oct 25 20:04:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc139b26

dev-python/pyside6-tools: correctly install the scripts

None of these should be called directly, they are supposed to be
imported via pyside_tool.py.

This matches the install layout of the pypi wheel. There are also
some wrappers installed in the pypi wheel but they don't appear to
be very useful.

Bug: https://bugs.gentoo.org/916213
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 ...-tools-6.6.0.ebuild => pyside6-tools-6.6.0-r1.ebuild} | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/pyside6-tools/pyside6-tools-6.6.0.ebuild b/dev-python/pyside6-tools/pyside6-tools-6.6.0-r1.ebuild
similarity index 71%
rename from dev-python/pyside6-tools/pyside6-tools-6.6.0.ebuild
rename to dev-python/pyside6-tools/pyside6-tools-6.6.0-r1.ebuild
index 572a8161f4d1..a1f2d6f625f6 100644
--- a/dev-python/pyside6-tools/pyside6-tools-6.6.0.ebuild
+++ b/dev-python/pyside6-tools/pyside6-tools-6.6.0-r1.ebuild
@@ -6,7 +6,6 @@ EAPI=8
 # TODO: Add PyPy once officially supported. See also:
 #     https://bugreports.qt.io/browse/PYSIDE-535
 PYTHON_COMPAT=( python3_{10..12} )
-CMAKE_IN_SOURCE_BUILD=1
 
 inherit cmake python-r1
 
@@ -23,7 +22,7 @@ KEYWORDS="~amd64"
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 
 RDEPEND="${PYTHON_DEPS}
-	~dev-python/pyside6-${PV}[${PYTHON_USEDEP}]
+	~dev-python/pyside6-${PV}[quick,${PYTHON_USEDEP}]
 "
 DEPEND="${RDEPEND}"
 
@@ -36,10 +35,10 @@ src_prepare() {
 src_configure() {
 	pyside-tools_configure() {
 		local mycmakeargs=(
-			# the tools conflict with tools from Qt
+			# If this is enabled cmake just makes copies of /lib64/qt6/bin/*
 			-DNO_QT_TOOLS=yes
 		)
-		CMAKE_USE_DIR="${BUILD_DIR}" cmake_src_configure
+		cmake_src_configure
 	}
 
 	python_foreach_impl pyside-tools_configure
@@ -47,7 +46,7 @@ src_configure() {
 
 src_compile() {
 	pyside-tools_compile() {
-		CMAKE_USE_DIR="${BUILD_DIR}" cmake_src_compile
+		cmake_src_compile
 	}
 
 	python_foreach_impl pyside-tools_compile
@@ -55,7 +54,12 @@ src_compile() {
 
 src_install() {
 	pyside-tools_install() {
-		python_doexe "${BUILD_DIR}/"*.py
+		# This replicates the contents of the PySide6 pypi wheel
+		DESTDIR="${BUILD_DIR}" cmake_build install
+		cp __init__.py "${BUILD_DIR}/usr/bin" || die
+		rm -r  "${BUILD_DIR}/usr/bin/qtpy2cpp_lib/tests" || die
+		python_moduleinto PySide6/scripts
+		python_domodule "${BUILD_DIR}/usr/bin/."
 	}
 
 	python_foreach_impl pyside-tools_install


             reply	other threads:[~2023-10-25 20:05 UTC|newest]

Thread overview: 36+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-25 20:05 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-29 15:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyside6-tools/ Andrew Ammerlaan
2024-07-28 17:39 Arthur Zamarin
2024-07-10  4:21 Ionen Wolkens
2024-07-10  4:21 Ionen Wolkens
2024-06-25 16:50 Jakov Smolić
2024-06-19 16:38 Andrew Ammerlaan
2024-06-02  1:46 Sam James
2024-06-02  0:14 Sam James
2024-05-25 17:56 Andrew Ammerlaan
2024-05-21 16:00 Andrew Ammerlaan
2024-04-18  5:34 Michał Górny
2024-04-17 22:01 Sam James
2024-04-12 15:32 Andrew Ammerlaan
2024-02-16  8:58 Andrew Ammerlaan
2024-02-11 14:38 Andrew Ammerlaan
2023-12-07 18:44 Andrew Ammerlaan
2023-10-25 20:05 Andrew Ammerlaan
2023-10-18  8:54 Andrew Ammerlaan
2023-10-09 10:41 Andrew Ammerlaan
2023-10-03 14:27 Andrew Ammerlaan
2023-08-17  7:49 Andrew Ammerlaan
2023-07-24 11:33 Michał Górny
2023-06-14 19:59 Andrew Ammerlaan
2023-06-11 14:16 Andrew Ammerlaan
2023-04-19 16:54 Andrew Ammerlaan
2023-04-08  6:08 Michał Górny
2023-04-01 14:51 Andrew Ammerlaan
2023-01-12 15:13 Andrew Ammerlaan
2022-12-13 13:08 Andrew Ammerlaan
2022-11-14  5:05 Michał Górny
2022-11-07 10:18 Andrew Ammerlaan
2022-11-07 10:18 Andrew Ammerlaan
2022-09-27 12:16 Andrew Ammerlaan
2022-09-27 12:16 Andrew Ammerlaan
2022-08-13 14:18 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1698264299.bc139b269e3ccd66f17509cc1a1c2f9415f5f677.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox